Name:          alsa-oss
Version:       1.0.28
Release:       1mamba
Summary:       Advanced Linux Sound Architecture (ALSA) wrapper for OSS
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.alsa-project.org/
Source:        ftp://ftp.alsa-project.org/pub/oss-lib/alsa-oss-%{version}.tar.bz2
Patch0:        alsa-oss-1.0.12-aoss.patch
Patch1:        alsa-oss-1.0.14-glibc-open.patch
License:       GPL
# AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This package contains the compatibility library and wrapper script for running legacy OSS applications through ALSA. Unlike the kernel driver, this has the advantage of supporting DMIX software mixing.

%package -n lib%{name}
Summary:       ALSA/OSS wrapper libraries
Group:         System/Libraries

%description -n lib%{name}
System libraries for alsa-oss.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-devel
Obsoletes:     %{name}-devel

%description -n lib%{name}-devel
This package contains libraries and header files need for development.

%package -n lib%{name}-static
Summary:       Static libraries package for %{name}
Group:         Development/Libraries
Requires:      lib%{name}-devel = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-static
Obsoletes:     %{name}-static

%description -n lib%{name}-static
This package contains static libraries need for development.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/aoss
%{_mandir}/man1/aoss.1.gz
%doc COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libalsatoss.so.*
%{_libdir}/libaoss.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}
%{_includedir}/*.h
%{_libdir}/libalsatoss.la
%{_libdir}/libalsatoss.so
%{_libdir}/libaoss.la
%{_libdir}/libaoss.so
%{_libdir}/libossredir.la
%doc oss-redir/README

%files -n lib%{name}-static
%defattr(-,root,root)
%{_libdir}/libaoss.a
%{_libdir}/libalsatoss.a
%{_libdir}/libossredir.a

%changelog
* Wed Jun 18 2014 Automatic Build System <autodist@mambasoft.it> 1.0.28-1mamba
- automatic version update by autodist

* Tue May 22 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.25-2mamba
- move aoss man file from libalsa-oss to alsa-oss package

* Mon Jan 30 2012 Automatic Build System <autodist@mambasoft.it> 1.0.25-1mamba
- automatic version update by autodist

* Tue Feb 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.17-2mamba
- libalsa-oss: remove requirement for alsa-oss to prevent loop
- rename alsa-oss-devel to libalsa-oss-devel and alsa-oss-static to libalsa-oss-static

* Fri Dec 19 2008 gil <puntogil@libero.it> 1.0.17-1mamba
- package created by autospec
